%% kapacity_objemy.m
% Urceni dechovych objemu a kapacit

function [IRV, IC, ERV, FVC] = kapacity_objemy(objem_max, objem_min, poc_dech, VT)

insp_max = objem_max(end,2); % Maximalni inspirium (pred zacatkem usilovneho vydechu)

IRV = insp_max - mean(objem_max(1:poc_dech,2)); % Inspiracni rezervni objem = Max inspirium - prumerna hodnota maxim predchazejicich klidovych nadechu

IC = VT + IRV; % Inspiracni kapacita (dechovy objem + inspiracni rezervni objem)

exsp_max = objem_min(end,2); % Maximalni exspirium (na konci usilovneho vydechu)

ERV = mean(objem_min(1:poc_dech,2)) - exsp_max; % Exspiracni rezervni objem = Max exspirium - prumerna hodnota maxim predchazejicich klidovych vydechu

FVC = IRV + ERV + VT; % Usilovna vitalni kapacita

